Using Safari with Netsuite

I am trying to use Netsuite on safari and receiving the following error.  any ideas?

“Safari cant establish a secure connection to the server”

Rookie Asked on December 18, 2019 in Best Practices.
Add Comment
4 Answer(s)

I am using Safari 5.1.7 for windows

Rookie Answered on December 18, 2019.
Add Comment

That version is old, 2012 and they are not updating Safari for windows anymore.   You will need to use a more current browser.  Sorry.

Rookie Answered on December 18, 2019.
Add Comment

I don’t know why would you want to use Safari honestly. In multiple occasions when speaking to support, the only browser that NetSuite will recommend and support is Google Chrome, even if you open a ticket for this issue I’m pretty sure this is what they’ll say.

Beginner Answered on December 30, 2019.
Add Comment

Your Answer

By posting your answer, you agree to the privacy policy and terms of service.